Subject: Re: [Idr] WG Adoption call for draft-wang-idr-rd-orf-05.txt (2/4/2021 to 2/18/2021)

From: Robert Raszuk <[email-masked]>
Date: Fri, 12 Feb 2021 16:09:25 +0100

>
> The receiver device, such as the access router, may have weak performance,
> while the sender device, such as the RR, may have strong performance.
>

Yes., That is precisely why we have  https://tools.ietf.org/html/rfc4684

The ORF is a tool and does not exist independently. The deployment problem
> described here occurs only when the RD-ORF mode is used.
>
> Actually, the ORF can be used together with other ORFs, such as Prefixed
> ORF.
>
> RD-ORF provides a more efficient filtering method, making solution
> deployment more flexible.
>
>
>
> In fact, most vendors' devices support rd-filter, but only support the
> configuration.
>
>
>
> In addition, if the RR decides to push the RD-ORF to its route source only
> when PE1 and PE3 do not want that RD.
>

See this is one more time indication that you have serious gap in
understanding L3VPNs.

PEs which import routes do not understand sender's ORF. They take routes
and based on RT make a local copy to importing VRF.

In RFC4364 RTs are used to build arbitrary VPN topologies not RDs.

Thx